Download it now!
Bug 132271 - FILEOPEN DOCX Change tracking in floating table not imported
Summary: FILEOPEN DOCX Change tracking in floating table not imported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords: bibisected, regression
Depends on:
Blocks: DOCX-Tables DOCX-Track-Changes
  Show dependency treegraph
 
Reported: 2020-04-20 10:02 UTC by NISZ LibreOffice Team
Modified: 2020-10-08 08:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (12.56 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-04-20 10:02 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (77.20 KB, image/png)
2020-04-20 10:02 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-04-20 10:02:18 UTC
Created attachment 159755 [details]
Example file from Word

Attached document contains a simple floating table with tracked additions and deletions.
Opening the document in Writer shows no tracked changes in the document.

Steps to reproduce:
    1. Open attached document

Actual results:
No tracked changes in the Manage Changes dialog

Expected results:
There should be 2 additions and 2 deletions. Would be nice if those could roundtrip too.

LibreOffice details:
Version: 7.0.0.0.alpha0+ (x64)Build ID: 8c8b3a4f83f67882b284ddc3b3fe10d3fe6dedf4CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; Locale: hu-HU (hu_HU); UI-Language: en-USCalc: CL

Also in:
Verzió: 6.4.0.3 (x86)
Build az.: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: alapértelmezett; VCL: win; 
Területi beállítások: hu-HU (hu_HU); Felület nyelve: hu-HU
Calc: CL

Verzió: 6.2.0.3
Build az.: 98c6a8a1c6c7b144ce3cc729e34964b47ce25d62
CPU szálak: 4; OS: Windows 6.3; Felületmegjelenítés: GL; VCL: win; 
Területi beállítások: hu-HU (hu_HU); UI nyelve: hu-HU
Calc: threaded

Verzió: 6.0.0.3
Build az.: 64a0f66915f38c6217de274f0aa8e15618924765
CPU szálak: 4; OS: Windows 6.3; Felületmegjelenítés: GL; 
Területi beállítások: hu-HU (hu_HU); Calc: CL

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: hu-HU (hu_HU)
Comment 1 NISZ LibreOffice Team 2020-04-20 10:02:35 UTC
Created attachment 159756 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 László Németh 2020-04-20 11:23:02 UTC
Note: the problem occurs without DOCX, too: adding a frame around a table will remove all change tracking data, resulting broken content:

1. Select a non-floating table with redlines.
2. Choose Insert->Frame->Frame... and Ok.

No change tracking information and removed text content reappeared, as normal text.
Comment 3 Aron Budea 2020-04-23 13:19:47 UTC
Strictly speaking this is a regression that started in the following range, bibisected using repo bibisect-43all:
https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=c3aa1cefdc6521d34a2a32c20bae1593e1edb5ba..c29af1572ad15ac5199a09e5812fb8354c165329

Not sure how useful knowing that is, considering the usual hacking that comes with floating tables. The following commits in the range seem to be dealing with DOCX table import:
n#775899 SwXText::convertToTextFrame fix removing fake paragraph
n#775899 initial docx import of w:vertAnchor inside w:tblpPr
n#775899 SwXText::convertToTextFrame fix for multi-paragraph tables

Up to 4.1.0.4 the document opens with a "fake" change in the text when opened, but that's fixed in 4.2.0.4.
Comment 4 Commit Notification 2020-09-07 12:33:43 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/288db6eb47fbbd2b3ca34ffea0686d8ed8ed9be9

tdf#132271 DOCX: import change tracking in floating tables

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-09-29 15:21:09 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: cd85546a2fbdade42f80fd3b6bd650791db9f32d
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@László Németh, thanks for fixing this issue!!

Added to the release notes: https://wiki.documentfoundation.org/ReleaseNotes/7.1#Improvements_of_DOCX_import.2Fexport_filter
Comment 6 NISZ LibreOffice Team 2020-10-08 08:50:11 UTC
Verified in:

Version: 7.1.0.0.alpha0+ (x64)
Build ID: a3b4831208da615789bd1e2d5660dd130807f504
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded

Thanks, László :)